<div class="pathway-tab-content">
  <input type="text" ng-model="filterText" ng-minlength="2"
         class="form-control" placeholder="Enter pathway name or ID ..." ng-show="!pathwayOverview.imageVisible">
  <i ng-show="pathwayOverview.loadingList > 0" class="fa fa-fw fa-spinner fa-pulse"></i>
  <ul class="pathway-list" ng-show="!pathwayOverview.imageVisible" ng-class="{'stale-content': pathwayOverview.loadingList > 0}">
    <li ng-repeat="(groupLabel, group) in pathwayOverview.pathways | filterBy: ['pathid', 'title']: filterText | groupBy: 'group'">
      <h3>{{::groupLabel}}</h3>
      <ul>
        <li ng-repeat="(subgroupLabel, subgroup) in group | groupBy: 'subgroup'" ng-show="filteredSubgroup.length">
          <h4>{{::subgroupLabel}}</h4>
          <ul class="fa-ul">
            <li ng-repeat="pathway in filteredSubgroup = (subgroup | filter:pathwayOverview.hasGeneHits)">
              <a href="#" ng-mousedown="pathwayOverview.loadPathway(pathway.pathid)">
                <i class="fa fa-li fa-object-group text-muted"></i>
                {{::pathway.pathid}} - {{::pathway.title}}
              </a> <small class="text-muted" ng-if="!pathwayOverview.compare"
                          style="margin-left: 3px;">({{::pathway.geneHits}})</small>
              <i class="fa fa-filter" role="button" ng-mousedown="pathwayOverview.addPathwayFilterBox(pathway.pathid, pathway.title)"
                 ng-if="!pathwayOverview.compare"
                 uib-tooltip="Create a filter for this pathway" tooltip-placement="top"></i>
            </li>
          </ul>
        </li>
      </ul>
    </li>
  </ul>
  <div ng-show="pathwayOverview.imageVisible">
    <div class="pathway-back-to-list">
      <a href="#" ng-mousedown="pathwayOverview.imageVisible = false">
        &lt; Back to the pathway list
      </a>
      <i ng-if="pathwayOverview.loadingPathway > 0" class="fa fa-fw fa-spinner fa-pulse"></i>
    </div>
    <h4>{{pathwayOverview.selectedPathway.pathid | limitTo:5:3}} - {{pathwayOverview.selectedPathway.title}}</h4>
    <canvas pathway
            width="{{pathwayOverview.selectedPathway.w}}"
            height="{{pathwayOverview.selectedPathway.h + pathwayOverview.data.length * 26 + 10}}"></canvas>
  </div>
</div>